%global upstream_name metrics-discovery

Name:		intel-metrics-discovery
Version:	1.12.164
Release:	%autorelease
Summary:	Intel Metrics Discovery Application Programming Interface

License:	MIT
URL:		https://github.com/intel/metrics-discovery
Source0:	%url/archive/refs/tags/%{upstream_name}-%{version}.tar.gz

BuildRequires:	cmake >= 3.1
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(libdrm)

# Upstream only supports x86_64
ExclusiveArch:	x86_64

%description
This software is a user mode library that provides access to GPU performance
data. The library has OS abstraction layer that allows for interoperability
in different environments.

%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files
for applications that use %{name}.

%prep
%autosetup -n %{upstream_name}-%{upstream_name}-%{version}
# rpminspect stack-prot test fix
sed -i 's/fstack-protector/fstack-protector-strong/g' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE.md
%doc README.md
%{_libdir}/libigdmd.so.%{version}
%{_libdir}/libigdmd.so.1

%files devel
%{_includedir}/metrics_discovery_api.h
%{_libdir}/libigdmd.so
%{_libdir}/pkgconfig/libigdmd.pc

%changelog
%autochangelog
